package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Agent_report_line;
import com.realnet.vpspack.Services.Agent_report_lineService ;


























@RequestMapping(value = "/Agent_report_line")
 @CrossOrigin("*") 
@RestController
public class Agent_report_lineController {
	@Autowired
	private Agent_report_lineService Service;

@Value("${projectPath}")
	private String projectPath;
 


























	@PostMapping("/Agent_report_line")
		  public Agent_report_line Savedata(@RequestBody Agent_report_line data) {
		Agent_report_line save = Service.Savedata(data)	;

























		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Agent_report_line/{id}")
	public  Agent_report_line update(@RequestBody Agent_report_line data,@PathVariable Integer id ) {
		Agent_report_line update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Agent_report_line/getall/page")
	public Page<Agent_report_line> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Agent_report_line> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Agent_report_line")
	public List<Agent_report_line> getdetails() {
		 List<Agent_report_line> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Agent_report_line")
	public List<Agent_report_line> getallwioutsec() {
		 List<Agent_report_line> get = Service.getdetails();		
		return get;
}
@GetMapping("/Agent_report_line/{id}")
	public  Agent_report_line  getdetailsbyId(@PathVariable Integer id ) {
		Agent_report_line  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Agent_report_line/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}



























}